Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network249.2.0.0/19
Usable hosts8,190
Subnet mask255.255.224.0
Addresses8,192
Network address
249.2.0.0
Broadcast address
249.2.31.255
First usable
249.2.0.1
Last usable
249.2.31.254
Usable hosts
8,190 (8,192 less the network and broadcast addresses)
Subnet mask
255.255.224.0
Wildcard mask
0.0.31.255 (Cisco ACLs, OSPF)
Prefix length
/19
Type
Reserved 240.0.0.0/4
Future use; not usable on most systems
Old class
E (reserved)
As numbers
Hex F9020000 · Integer 4177657856 to 4177666047
Reverse DNS zones
0.2.249.in-addr.arpa
1.2.249.in-addr.arpa
2.2.249.in-addr.arpa
3.2.249.in-addr.arpa
4.2.249.in-addr.arpa
5.2.249.in-addr.arpa
6.2.249.in-addr.arpa
7.2.249.in-addr.arpa
8.2.249.in-addr.arpa
9.2.249.in-addr.arpa
10.2.249.in-addr.arpa
11.2.249.in-addr.arpa
12.2.249.in-addr.arpa
13.2.249.in-addr.arpa
14.2.249.in-addr.arpa
15.2.249.in-addr.arpa
and 16 more
/19 is not on a 8-bit boundary, so it takes 32 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11111001.00000010.00000000.00000000249.2.0.0
Subnet mask11111111.11111111.11100000.00000000255.255.224.0
Network11111001.00000010.00000000.00000000249.2.0.0
Broadcast11111001.00000010.00011111.11111111249.2.31.255
Split into smaller subnets/29

249.2.0.0/19 makes 1,024 subnets of /29; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1249.2.0.0/29249.2.0.1 to 249.2.0.6249.2.0.76
2249.2.0.8/29249.2.0.9 to 249.2.0.14249.2.0.156
3249.2.0.16/29249.2.0.17 to 249.2.0.22249.2.0.236
4249.2.0.24/29249.2.0.25 to 249.2.0.30249.2.0.316
5249.2.0.32/29249.2.0.33 to 249.2.0.38249.2.0.396
6249.2.0.40/29249.2.0.41 to 249.2.0.46249.2.0.476
7249.2.0.48/29249.2.0.49 to 249.2.0.54249.2.0.556
8249.2.0.56/29249.2.0.57 to 249.2.0.62249.2.0.636
9249.2.0.64/29249.2.0.65 to 249.2.0.70249.2.0.716
10249.2.0.72/29249.2.0.73 to 249.2.0.78249.2.0.796
11249.2.0.80/29249.2.0.81 to 249.2.0.86249.2.0.876
12249.2.0.88/29249.2.0.89 to 249.2.0.94249.2.0.956
13249.2.0.96/29249.2.0.97 to 249.2.0.102249.2.0.1036
14249.2.0.104/29249.2.0.105 to 249.2.0.110249.2.0.1116
15249.2.0.112/29249.2.0.113 to 249.2.0.118249.2.0.1196
16249.2.0.120/29249.2.0.121 to 249.2.0.126249.2.0.1276
17249.2.0.128/29249.2.0.129 to 249.2.0.134249.2.0.1356
18249.2.0.136/29249.2.0.137 to 249.2.0.142249.2.0.1436
19249.2.0.144/29249.2.0.145 to 249.2.0.150249.2.0.1516
20249.2.0.152/29249.2.0.153 to 249.2.0.158249.2.0.1596
21249.2.0.160/29249.2.0.161 to 249.2.0.166249.2.0.1676
22249.2.0.168/29249.2.0.169 to 249.2.0.174249.2.0.1756
23249.2.0.176/29249.2.0.177 to 249.2.0.182249.2.0.1836
24249.2.0.184/29249.2.0.185 to 249.2.0.190249.2.0.1916
25249.2.0.192/29249.2.0.193 to 249.2.0.198249.2.0.1996
26249.2.0.200/29249.2.0.201 to 249.2.0.206249.2.0.2076
27249.2.0.208/29249.2.0.209 to 249.2.0.214249.2.0.2156
28249.2.0.216/29249.2.0.217 to 249.2.0.222249.2.0.2236
29249.2.0.224/29249.2.0.225 to 249.2.0.230249.2.0.2316
30249.2.0.232/29249.2.0.233 to 249.2.0.238249.2.0.2396
31249.2.0.240/29249.2.0.241 to 249.2.0.246249.2.0.2476
32249.2.0.248/29249.2.0.249 to 249.2.0.254249.2.0.2556
33249.2.1.0/29249.2.1.1 to 249.2.1.6249.2.1.76
34249.2.1.8/29249.2.1.9 to 249.2.1.14249.2.1.156
35249.2.1.16/29249.2.1.17 to 249.2.1.22249.2.1.236
36249.2.1.24/29249.2.1.25 to 249.2.1.30249.2.1.316
37249.2.1.32/29249.2.1.33 to 249.2.1.38249.2.1.396
38249.2.1.40/29249.2.1.41 to 249.2.1.46249.2.1.476
39249.2.1.48/29249.2.1.49 to 249.2.1.54249.2.1.556
40249.2.1.56/29249.2.1.57 to 249.2.1.62249.2.1.636
41249.2.1.64/29249.2.1.65 to 249.2.1.70249.2.1.716
42249.2.1.72/29249.2.1.73 to 249.2.1.78249.2.1.796
43249.2.1.80/29249.2.1.81 to 249.2.1.86249.2.1.876
44249.2.1.88/29249.2.1.89 to 249.2.1.94249.2.1.956
45249.2.1.96/29249.2.1.97 to 249.2.1.102249.2.1.1036
46249.2.1.104/29249.2.1.105 to 249.2.1.110249.2.1.1116
47249.2.1.112/29249.2.1.113 to 249.2.1.118249.2.1.1196
48249.2.1.120/29249.2.1.121 to 249.2.1.126249.2.1.1276
49249.2.1.128/29249.2.1.129 to 249.2.1.134249.2.1.1356
50249.2.1.136/29249.2.1.137 to 249.2.1.142249.2.1.1436
51249.2.1.144/29249.2.1.145 to 249.2.1.150249.2.1.1516
52249.2.1.152/29249.2.1.153 to 249.2.1.158249.2.1.1596
53249.2.1.160/29249.2.1.161 to 249.2.1.166249.2.1.1676
54249.2.1.168/29249.2.1.169 to 249.2.1.174249.2.1.1756
55249.2.1.176/29249.2.1.177 to 249.2.1.182249.2.1.1836
56249.2.1.184/29249.2.1.185 to 249.2.1.190249.2.1.1916
57249.2.1.192/29249.2.1.193 to 249.2.1.198249.2.1.1996
58249.2.1.200/29249.2.1.201 to 249.2.1.206249.2.1.2076
59249.2.1.208/29249.2.1.209 to 249.2.1.214249.2.1.2156
60249.2.1.216/29249.2.1.217 to 249.2.1.222249.2.1.2236
61249.2.1.224/29249.2.1.225 to 249.2.1.230249.2.1.2316
62249.2.1.232/29249.2.1.233 to 249.2.1.238249.2.1.2396
63249.2.1.240/29249.2.1.241 to 249.2.1.246249.2.1.2476
64249.2.1.248/29249.2.1.249 to 249.2.1.254249.2.1.2556
65249.2.2.0/29249.2.2.1 to 249.2.2.6249.2.2.76
66249.2.2.8/29249.2.2.9 to 249.2.2.14249.2.2.156
67249.2.2.16/29249.2.2.17 to 249.2.2.22249.2.2.236
68249.2.2.24/29249.2.2.25 to 249.2.2.30249.2.2.316
69249.2.2.32/29249.2.2.33 to 249.2.2.38249.2.2.396
70249.2.2.40/29249.2.2.41 to 249.2.2.46249.2.2.476
71249.2.2.48/29249.2.2.49 to 249.2.2.54249.2.2.556
72249.2.2.56/29249.2.2.57 to 249.2.2.62249.2.2.636
73249.2.2.64/29249.2.2.65 to 249.2.2.70249.2.2.716
74249.2.2.72/29249.2.2.73 to 249.2.2.78249.2.2.796
75249.2.2.80/29249.2.2.81 to 249.2.2.86249.2.2.876
76249.2.2.88/29249.2.2.89 to 249.2.2.94249.2.2.956
77249.2.2.96/29249.2.2.97 to 249.2.2.102249.2.2.1036
78249.2.2.104/29249.2.2.105 to 249.2.2.110249.2.2.1116
79249.2.2.112/29249.2.2.113 to 249.2.2.118249.2.2.1196
80249.2.2.120/29249.2.2.121 to 249.2.2.126249.2.2.1276
81249.2.2.128/29249.2.2.129 to 249.2.2.134249.2.2.1356
82249.2.2.136/29249.2.2.137 to 249.2.2.142249.2.2.1436
83249.2.2.144/29249.2.2.145 to 249.2.2.150249.2.2.1516
84249.2.2.152/29249.2.2.153 to 249.2.2.158249.2.2.1596
85249.2.2.160/29249.2.2.161 to 249.2.2.166249.2.2.1676
86249.2.2.168/29249.2.2.169 to 249.2.2.174249.2.2.1756
87249.2.2.176/29249.2.2.177 to 249.2.2.182249.2.2.1836
88249.2.2.184/29249.2.2.185 to 249.2.2.190249.2.2.1916
89249.2.2.192/29249.2.2.193 to 249.2.2.198249.2.2.1996
90249.2.2.200/29249.2.2.201 to 249.2.2.206249.2.2.2076
91249.2.2.208/29249.2.2.209 to 249.2.2.214249.2.2.2156
92249.2.2.216/29249.2.2.217 to 249.2.2.222249.2.2.2236
93249.2.2.224/29249.2.2.225 to 249.2.2.230249.2.2.2316
94249.2.2.232/29249.2.2.233 to 249.2.2.238249.2.2.2396
95249.2.2.240/29249.2.2.241 to 249.2.2.246249.2.2.2476
96249.2.2.248/29249.2.2.249 to 249.2.2.254249.2.2.2556
97249.2.3.0/29249.2.3.1 to 249.2.3.6249.2.3.76
98249.2.3.8/29249.2.3.9 to 249.2.3.14249.2.3.156
99249.2.3.16/29249.2.3.17 to 249.2.3.22249.2.3.236
100249.2.3.24/29249.2.3.25 to 249.2.3.30249.2.3.316
101249.2.3.32/29249.2.3.33 to 249.2.3.38249.2.3.396
102249.2.3.40/29249.2.3.41 to 249.2.3.46249.2.3.476
103249.2.3.48/29249.2.3.49 to 249.2.3.54249.2.3.556
104249.2.3.56/29249.2.3.57 to 249.2.3.62249.2.3.636
105249.2.3.64/29249.2.3.65 to 249.2.3.70249.2.3.716
106249.2.3.72/29249.2.3.73 to 249.2.3.78249.2.3.796
107249.2.3.80/29249.2.3.81 to 249.2.3.86249.2.3.876
108249.2.3.88/29249.2.3.89 to 249.2.3.94249.2.3.956
109249.2.3.96/29249.2.3.97 to 249.2.3.102249.2.3.1036
110249.2.3.104/29249.2.3.105 to 249.2.3.110249.2.3.1116
111249.2.3.112/29249.2.3.113 to 249.2.3.118249.2.3.1196
112249.2.3.120/29249.2.3.121 to 249.2.3.126249.2.3.1276
113249.2.3.128/29249.2.3.129 to 249.2.3.134249.2.3.1356
114249.2.3.136/29249.2.3.137 to 249.2.3.142249.2.3.1436
115249.2.3.144/29249.2.3.145 to 249.2.3.150249.2.3.1516
116249.2.3.152/29249.2.3.153 to 249.2.3.158249.2.3.1596
117249.2.3.160/29249.2.3.161 to 249.2.3.166249.2.3.1676
118249.2.3.168/29249.2.3.169 to 249.2.3.174249.2.3.1756
119249.2.3.176/29249.2.3.177 to 249.2.3.182249.2.3.1836
120249.2.3.184/29249.2.3.185 to 249.2.3.190249.2.3.1916
121249.2.3.192/29249.2.3.193 to 249.2.3.198249.2.3.1996
122249.2.3.200/29249.2.3.201 to 249.2.3.206249.2.3.2076
123249.2.3.208/29249.2.3.209 to 249.2.3.214249.2.3.2156
124249.2.3.216/29249.2.3.217 to 249.2.3.222249.2.3.2236
125249.2.3.224/29249.2.3.225 to 249.2.3.230249.2.3.2316
126249.2.3.232/29249.2.3.233 to 249.2.3.238249.2.3.2396
127249.2.3.240/29249.2.3.241 to 249.2.3.246249.2.3.2476
128249.2.3.248/29249.2.3.249 to 249.2.3.254249.2.3.2556
129249.2.4.0/29249.2.4.1 to 249.2.4.6249.2.4.76
130249.2.4.8/29249.2.4.9 to 249.2.4.14249.2.4.156
131249.2.4.16/29249.2.4.17 to 249.2.4.22249.2.4.236
132249.2.4.24/29249.2.4.25 to 249.2.4.30249.2.4.316
133249.2.4.32/29249.2.4.33 to 249.2.4.38249.2.4.396
134249.2.4.40/29249.2.4.41 to 249.2.4.46249.2.4.476
135249.2.4.48/29249.2.4.49 to 249.2.4.54249.2.4.556
136249.2.4.56/29249.2.4.57 to 249.2.4.62249.2.4.636
137249.2.4.64/29249.2.4.65 to 249.2.4.70249.2.4.716
138249.2.4.72/29249.2.4.73 to 249.2.4.78249.2.4.796
139249.2.4.80/29249.2.4.81 to 249.2.4.86249.2.4.876
140249.2.4.88/29249.2.4.89 to 249.2.4.94249.2.4.956
141249.2.4.96/29249.2.4.97 to 249.2.4.102249.2.4.1036
142249.2.4.104/29249.2.4.105 to 249.2.4.110249.2.4.1116
143249.2.4.112/29249.2.4.113 to 249.2.4.118249.2.4.1196
144249.2.4.120/29249.2.4.121 to 249.2.4.126249.2.4.1276
145249.2.4.128/29249.2.4.129 to 249.2.4.134249.2.4.1356
146249.2.4.136/29249.2.4.137 to 249.2.4.142249.2.4.1436
147249.2.4.144/29249.2.4.145 to 249.2.4.150249.2.4.1516
148249.2.4.152/29249.2.4.153 to 249.2.4.158249.2.4.1596
149249.2.4.160/29249.2.4.161 to 249.2.4.166249.2.4.1676
150249.2.4.168/29249.2.4.169 to 249.2.4.174249.2.4.1756
151249.2.4.176/29249.2.4.177 to 249.2.4.182249.2.4.1836
152249.2.4.184/29249.2.4.185 to 249.2.4.190249.2.4.1916
153249.2.4.192/29249.2.4.193 to 249.2.4.198249.2.4.1996
154249.2.4.200/29249.2.4.201 to 249.2.4.206249.2.4.2076
155249.2.4.208/29249.2.4.209 to 249.2.4.214249.2.4.2156
156249.2.4.216/29249.2.4.217 to 249.2.4.222249.2.4.2236
157249.2.4.224/29249.2.4.225 to 249.2.4.230249.2.4.2316
158249.2.4.232/29249.2.4.233 to 249.2.4.238249.2.4.2396
159249.2.4.240/29249.2.4.241 to 249.2.4.246249.2.4.2476
160249.2.4.248/29249.2.4.249 to 249.2.4.254249.2.4.2556
161249.2.5.0/29249.2.5.1 to 249.2.5.6249.2.5.76
162249.2.5.8/29249.2.5.9 to 249.2.5.14249.2.5.156
163249.2.5.16/29249.2.5.17 to 249.2.5.22249.2.5.236
164249.2.5.24/29249.2.5.25 to 249.2.5.30249.2.5.316
165249.2.5.32/29249.2.5.33 to 249.2.5.38249.2.5.396
166249.2.5.40/29249.2.5.41 to 249.2.5.46249.2.5.476
167249.2.5.48/29249.2.5.49 to 249.2.5.54249.2.5.556
168249.2.5.56/29249.2.5.57 to 249.2.5.62249.2.5.636
169249.2.5.64/29249.2.5.65 to 249.2.5.70249.2.5.716
170249.2.5.72/29249.2.5.73 to 249.2.5.78249.2.5.796
171249.2.5.80/29249.2.5.81 to 249.2.5.86249.2.5.876
172249.2.5.88/29249.2.5.89 to 249.2.5.94249.2.5.956
173249.2.5.96/29249.2.5.97 to 249.2.5.102249.2.5.1036
174249.2.5.104/29249.2.5.105 to 249.2.5.110249.2.5.1116
175249.2.5.112/29249.2.5.113 to 249.2.5.118249.2.5.1196
176249.2.5.120/29249.2.5.121 to 249.2.5.126249.2.5.1276
177249.2.5.128/29249.2.5.129 to 249.2.5.134249.2.5.1356
178249.2.5.136/29249.2.5.137 to 249.2.5.142249.2.5.1436
179249.2.5.144/29249.2.5.145 to 249.2.5.150249.2.5.1516
180249.2.5.152/29249.2.5.153 to 249.2.5.158249.2.5.1596
181249.2.5.160/29249.2.5.161 to 249.2.5.166249.2.5.1676
182249.2.5.168/29249.2.5.169 to 249.2.5.174249.2.5.1756
183249.2.5.176/29249.2.5.177 to 249.2.5.182249.2.5.1836
184249.2.5.184/29249.2.5.185 to 249.2.5.190249.2.5.1916
185249.2.5.192/29249.2.5.193 to 249.2.5.198249.2.5.1996
186249.2.5.200/29249.2.5.201 to 249.2.5.206249.2.5.2076
187249.2.5.208/29249.2.5.209 to 249.2.5.214249.2.5.2156
188249.2.5.216/29249.2.5.217 to 249.2.5.222249.2.5.2236
189249.2.5.224/29249.2.5.225 to 249.2.5.230249.2.5.2316
190249.2.5.232/29249.2.5.233 to 249.2.5.238249.2.5.2396
191249.2.5.240/29249.2.5.241 to 249.2.5.246249.2.5.2476
192249.2.5.248/29249.2.5.249 to 249.2.5.254249.2.5.2556
193249.2.6.0/29249.2.6.1 to 249.2.6.6249.2.6.76
194249.2.6.8/29249.2.6.9 to 249.2.6.14249.2.6.156
195249.2.6.16/29249.2.6.17 to 249.2.6.22249.2.6.236
196249.2.6.24/29249.2.6.25 to 249.2.6.30249.2.6.316
197249.2.6.32/29249.2.6.33 to 249.2.6.38249.2.6.396
198249.2.6.40/29249.2.6.41 to 249.2.6.46249.2.6.476
199249.2.6.48/29249.2.6.49 to 249.2.6.54249.2.6.556
200249.2.6.56/29249.2.6.57 to 249.2.6.62249.2.6.636
201249.2.6.64/29249.2.6.65 to 249.2.6.70249.2.6.716
202249.2.6.72/29249.2.6.73 to 249.2.6.78249.2.6.796
203249.2.6.80/29249.2.6.81 to 249.2.6.86249.2.6.876
204249.2.6.88/29249.2.6.89 to 249.2.6.94249.2.6.956
205249.2.6.96/29249.2.6.97 to 249.2.6.102249.2.6.1036
206249.2.6.104/29249.2.6.105 to 249.2.6.110249.2.6.1116
207249.2.6.112/29249.2.6.113 to 249.2.6.118249.2.6.1196
208249.2.6.120/29249.2.6.121 to 249.2.6.126249.2.6.1276
209249.2.6.128/29249.2.6.129 to 249.2.6.134249.2.6.1356
210249.2.6.136/29249.2.6.137 to 249.2.6.142249.2.6.1436
211249.2.6.144/29249.2.6.145 to 249.2.6.150249.2.6.1516
212249.2.6.152/29249.2.6.153 to 249.2.6.158249.2.6.1596
213249.2.6.160/29249.2.6.161 to 249.2.6.166249.2.6.1676
214249.2.6.168/29249.2.6.169 to 249.2.6.174249.2.6.1756
215249.2.6.176/29249.2.6.177 to 249.2.6.182249.2.6.1836
216249.2.6.184/29249.2.6.185 to 249.2.6.190249.2.6.1916
217249.2.6.192/29249.2.6.193 to 249.2.6.198249.2.6.1996
218249.2.6.200/29249.2.6.201 to 249.2.6.206249.2.6.2076
219249.2.6.208/29249.2.6.209 to 249.2.6.214249.2.6.2156
220249.2.6.216/29249.2.6.217 to 249.2.6.222249.2.6.2236
221249.2.6.224/29249.2.6.225 to 249.2.6.230249.2.6.2316
222249.2.6.232/29249.2.6.233 to 249.2.6.238249.2.6.2396
223249.2.6.240/29249.2.6.241 to 249.2.6.246249.2.6.2476
224249.2.6.248/29249.2.6.249 to 249.2.6.254249.2.6.2556
225249.2.7.0/29249.2.7.1 to 249.2.7.6249.2.7.76
226249.2.7.8/29249.2.7.9 to 249.2.7.14249.2.7.156
227249.2.7.16/29249.2.7.17 to 249.2.7.22249.2.7.236
228249.2.7.24/29249.2.7.25 to 249.2.7.30249.2.7.316
229249.2.7.32/29249.2.7.33 to 249.2.7.38249.2.7.396
230249.2.7.40/29249.2.7.41 to 249.2.7.46249.2.7.476
231249.2.7.48/29249.2.7.49 to 249.2.7.54249.2.7.556
232249.2.7.56/29249.2.7.57 to 249.2.7.62249.2.7.636
233249.2.7.64/29249.2.7.65 to 249.2.7.70249.2.7.716
234249.2.7.72/29249.2.7.73 to 249.2.7.78249.2.7.796
235249.2.7.80/29249.2.7.81 to 249.2.7.86249.2.7.876
236249.2.7.88/29249.2.7.89 to 249.2.7.94249.2.7.956
237249.2.7.96/29249.2.7.97 to 249.2.7.102249.2.7.1036
238249.2.7.104/29249.2.7.105 to 249.2.7.110249.2.7.1116
239249.2.7.112/29249.2.7.113 to 249.2.7.118249.2.7.1196
240249.2.7.120/29249.2.7.121 to 249.2.7.126249.2.7.1276
241249.2.7.128/29249.2.7.129 to 249.2.7.134249.2.7.1356
242249.2.7.136/29249.2.7.137 to 249.2.7.142249.2.7.1436
243249.2.7.144/29249.2.7.145 to 249.2.7.150249.2.7.1516
244249.2.7.152/29249.2.7.153 to 249.2.7.158249.2.7.1596
245249.2.7.160/29249.2.7.161 to 249.2.7.166249.2.7.1676
246249.2.7.168/29249.2.7.169 to 249.2.7.174249.2.7.1756
247249.2.7.176/29249.2.7.177 to 249.2.7.182249.2.7.1836
248249.2.7.184/29249.2.7.185 to 249.2.7.190249.2.7.1916
249249.2.7.192/29249.2.7.193 to 249.2.7.198249.2.7.1996
250249.2.7.200/29249.2.7.201 to 249.2.7.206249.2.7.2076
251249.2.7.208/29249.2.7.209 to 249.2.7.214249.2.7.2156
252249.2.7.216/29249.2.7.217 to 249.2.7.222249.2.7.2236
253249.2.7.224/29249.2.7.225 to 249.2.7.230249.2.7.2316
254249.2.7.232/29249.2.7.233 to 249.2.7.238249.2.7.2396
255249.2.7.240/29249.2.7.241 to 249.2.7.246249.2.7.2476
256249.2.7.248/29249.2.7.249 to 249.2.7.254249.2.7.2556

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses